import { EventEmitter, OnInit } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import * as i0 from "@angular/core";
/**
 * <example-url>./../examples/index.html#/switch</example-url>
 */
export declare class SwitchComponent implements OnInit, ControlValueAccessor {
    value: boolean;
    disabled: boolean;
    /**
     * Input to set aria label text
     */
    ariaLabel: string;
    valueChange: EventEmitter<boolean>;
    toggle(): void;
    onChange(value: any): void;
    onTouched(): void;
    writeValue(value: any): void;
    registerOnChange(fn: (value: any) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwitchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SwitchComponent, "nui-switch", never, { "value": { "alias": "value"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; }; }, { "valueChange": "valueChange"; }, never, ["*"], false, never>;
}
